## r-cran-teachingdemos 2.4

=== DESCRIPTION ===
Package: TeachingDemos
Title: Demonstrations for teaching and learning
Version: 2.4
Author: Greg Snow
Description: This package is a set of demonstration functions that can
        be used in a classroom to demonstrate statistical concepts, or
        on your own to better understand the concepts or the
        programming.
Maintainer: Greg Snow <greg.snow@imail.org>
License: Artistic-2.0
Date: 2009-06-24
Suggests: tkrplot, lattice, MASS, rgl, sgeostat, mapproj, tcltk, tcltk2
Enhances: maptools, qcc
LazyData: true
Packaged: 2009-06-24 18:19:16 UTC; glsnow
Repository: CRAN
Date/Publication: 2009-06-26 17:42:23

## r-cran-teachingdemos 2.6

=== debian/changelog ===
r-cran-teachingdemos (2.6-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1 (no changes needed)
  * debian/source/format: 3.0 (quilt)
  * Depend on a version equal or superior than the R upstream release that
    was used to build this package, using a R:Depends substvar
    (debian/control, debian/rules).
  * debian/README.Debian: explain how to test this package

 -- Andreas Tille <tille@debian.org>  Thu, 05 Aug 2010 14:03:43 +0200

r-cran-teachingdemos (2.4-1) unstable; urgency=low

  * Initial release (closes: #557135).

 -- Andreas Tille <tille@debian.org>  Thu, 19 Nov 2009 15:38:39 +0100

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-teachingdemos package
# Copyright 2008 by Andreas Tille <tille@debian.org>

include /usr/share/R/debian/r-cran.mk

# Require a number equal or superior than the R version the package was built with.
install/r-$(debRreposname)-$(cranName)::
	echo "R:Depends=r-base-core (>= $(shell R --version | head -n1 | perl -ne 'print / +([0-9]\.[0-9]+\.[0-9])/')~)" >> debian/r-$(debRreposname)-$(cranName).substvars

## r-cran-teachingdemos 2.7

=== DESCRIPTION ===
Package: TeachingDemos
Title: Demonstrations for teaching and learning
Version: 2.7
Author: Greg Snow
Description: This package is a set of demonstration functions that can
        be used in a classroom to demonstrate statistical concepts, or
        on your own to better understand the concepts or the
        programming.
Maintainer: Greg Snow <greg.snow@imail.org>
License: Artistic-2.0
Date: 2010-08-10
Suggests: tkrplot, lattice, MASS, rgl, sgeostat, mapproj, tcltk,
        tcltk2, R2wd, EBImage, png
Enhances: maptools, qcc
LazyData: true
Repository: CRAN
Repository/R-Forge/Project: teachingdemos
Repository/R-Forge/Revision: 29
Date/Publication: 2010-08-09 19:12:29
Packaged: 2010-08-07 20:37:44 UTC; rforge

=== debian/changelog ===
r-cran-teachingdemos (2.7-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2010 11:31:52 +0100

=== debian/control ===
Source: r-cran-teachingdemos
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0), cdbs, r-base-dev
Standards-Version: 3.9.1
Homepage: http://cran.r-project.org/web/packages/TeachingDemos/
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/R/r-cran-teachingdemos/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/R/r-cran-teachingdemos/trunk/

Package: r-cran-teachingdemos
Architecture: all
Recommends: r-cran-misc3d, r-recommended, r-cran-mapproj
Depends: ${shlibs:Depends}, ${R:Depends}
Description: GNU R Demonstrations for teaching and learning
 This package is a set of demonstration functions that can be used in a
 classroom to demonstrate statistical concepts, or on your own to better
 understand the concepts or the programming.

## r-cran-teachingdemos 2.9

=== DESCRIPTION ===
Package: TeachingDemos
Title: Demonstrations for teaching and learning
Version: 2.9
Author: Greg Snow
Description: This package is a set of demonstration functions that can
        be used in a classroom to demonstrate statistical concepts, or
        on your own to better understand the concepts or the
        programming.
Maintainer: Greg Snow <greg.snow@imail.org>
License: Artistic-2.0
Date: 2013-01-21
Suggests: tkrplot, lattice, MASS, rgl, tcltk, tcltk2, R2wd, EBImage,
        png, ggplot2, logspline, maptools
LazyData: true
KeepSource: true
Repository: CRAN
Repository/R-Forge/Project: teachingdemos
Repository/R-Forge/Revision: 56
Repository/R-Forge/DateTimeStamp: 2013-01-20 18:58:51
Date/Publication: 2013-01-21 16:39:15
Packaged: 2013-01-20 19:15:19 UTC; rforge
Depends: R (>= 2.10)

=== debian/changelog ===
r-cran-teachingdemos (2.9-1) unstable; urgency=low

  * New upstream version
  * debian/control:
     - Standards-Version: 3.9.4 (no changes needed)
     - DM-Upload-Allowed removed
     - debhelper 9 (also debian/compat)
     - normalised format
  * debian/copyright: DEP5
  * Rename README.Debian to README.test
  * debian/rules: Remove unneeded code to obtain R:Depends variable

 -- Andreas Tille <tille@debian.org>  Fri, 17 May 2013 13:54:08 +0200

=== debian/control ===
Source: r-cran-teachingdemos
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9.0),
               cdbs,
               r-base-dev
Standards-Version: 3.9.4
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/R/r-cran-teachingdemos/trunk/
Vcs-Svn: svn://svn.debian.org/debian-science/packages/R/r-cran-teachingdemos/trunk/
Homepage: http://cran.r-project.org/web/packages/TeachingDemos/

Package: r-cran-teachingdemos
Architecture: all
Recommends: r-cran-misc3d,
            r-recommended,
            r-cran-mapproj
Depends: ${shlibs:Depends},
         ${R:Depends}
Description: GNU R Demonstrations for teaching and learning
 This package is a set of demonstration functions that can be used in a
 classroom to demonstrate statistical concepts, or on your own to better
 understand the concepts or the programming.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-teachingdemos package
# Copyright 2008 by Andreas Tille <tille@debian.org>

include /usr/share/R/debian/r-cran.mk

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/TeachingDemos_([-\d.]+)\.tar\.gz

## r-cran-teachingdemos 2.10

=== DESCRIPTION ===
Package: TeachingDemos
Title: Demonstrations for Teaching and Learning
Version: 2.10
Author: Greg Snow
Description: Demonstration functions that can be used in a classroom to demonstrate statistical concepts, or on your own to better understand the concepts or the programming.
Maintainer: Greg Snow <538280@gmail.com>
License: Artistic-2.0
Date: 2016-02-08
Suggests: tkrplot, lattice, MASS, rgl, tcltk, tcltk2, png, ggplot2,
        logspline, maptools, R2wd, manipulate
LazyData: true
KeepSource: true
NeedsCompilation: no
Packaged: 2016-02-12 01:53:42 UTC; Family
Repository: CRAN
Date/Publication: 2016-02-12 07:40:49

=== debian/changelog ===
r-cran-teachingdemos (2.10-2) unstable; urgency=medium

  * Move packaging from SVN to Git
  * Standards-Version: 4.1.0
  * Add debian/REAMDE.source to document binary data

 -- Andreas Tille <tille@debian.org>  Fri, 29 Sep 2017 16:43:33 +0200

r-cran-teachingdemos (2.10-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debhelper 10
  * Convert to dh-r
  * Canonical homepage for CRAN
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Thu, 17 Nov 2016 13:13:12 +0100

=== debian/control ===
Source: r-cran-teachingdemos
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10.0),
               dh-r,
               r-base-dev
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-teachingdemos.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-teachingdemos.git
Homepage: https://cran.r-project.org/package=TeachingDemos

Package: r-cran-teachingdemos
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Demonstrations for teaching and learning
 This package is a set of demonstration functions that can be used in a
 classroom to demonstrate statistical concepts, or on your own to better
 understand the concepts or the programming.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   http://cran.r-project.org/src/contrib/TeachingDemos_([-\d.]+)\.tar\.gz

## r-cran-teachingdemos 2.12

=== DESCRIPTION ===
Package: TeachingDemos
Title: Demonstrations for Teaching and Learning
Version: 2.12
Author: Greg Snow
Description: Demonstration functions that can be used in a classroom to demonstrate statistical concepts, or on your own to better understand the concepts or the programming.
Maintainer: Greg Snow <538280@gmail.com>
License: Artistic-2.0
Date: 2020-04-01
Suggests: tkrplot, lattice, MASS, rgl, tcltk, tcltk2, png, ggplot2,
        logspline, maptools, R2wd, manipulate
LazyData: true
KeepSource: true
Repository: CRAN
Repository/R-Forge/Project: teachingdemos
Repository/R-Forge/Revision: 76
Repository/R-Forge/DateTimeStamp: 2020-04-04 15:55:45
Date/Publication: 2020-04-07 16:00:10 UTC
NeedsCompilation: no
Packaged: 2020-04-04 16:10:09 UTC; rforge
Depends: R (>= 2.10)

=== debian/changelog ===
r-cran-teachingdemos (2.12-2) unstable; urgency=medium

  * Team upload.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 16 May 2020 08:43:39 +0200

r-cran-teachingdemos (2.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 08 Apr 2020 09:18:45 +0200

r-cran-teachingdemos (2.10-3) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 22:12:30 +0200

=== debian/control ===
Source: r-cran-teachingdemos
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-teachingdemos
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-teachingdemos.git
Homepage: https://cran.r-project.org/package=TeachingDemos
Rules-Requires-Root: no

Package: r-cran-teachingdemos
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Demonstrations for teaching and learning
 This package is a set of demonstration functions that can be used in a
 classroom to demonstrate statistical concepts, or on your own to better
 understand the concepts or the programming.

## r-cran-teachingdemos 2.13

=== DESCRIPTION ===
Package: TeachingDemos
Title: Demonstrations for Teaching and Learning
Version: 2.13
Author: Greg Snow
Description: Demonstration functions that can be used in a classroom to demonstrate statistical concepts, or on your own to better understand the concepts or the programming.
Maintainer: Greg Snow <538280@gmail.com>
License: Artistic-2.0
Date: 2024-02-13
Suggests: tkrplot, lattice, MASS, rgl, tcltk, tcltk2, png, ggplot2,
        logspline, spData, sf
Enhances: manipulate, R2wd
LazyData: true
KeepSource: true
NeedsCompilation: no
Packaged: 2024-02-16 21:07:53 UTC; gls33
Repository: CRAN
Date/Publication: 2024-02-16 23:10:11 UTC

=== debian/changelog ===
r-cran-teachingdemos (2.13-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 04 Jul 2024 11:01:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-teachingdemos
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-r,
-               r-base-dev
-Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-teachingdemos
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-teachingdemos.git
 Homepage: https://cran.r-project.org/package=TeachingDemos
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-teachingdemos
 Architecture: all

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   https://cran.r-project.org/src/contrib/TeachingDemos_([-\d.]+)\.tar\.gz
